<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<!--
IGAC proyecto SNC

@author pedro.garcia

@description consulta de las fichas escaneadas de un predio: matriz y predial
@version 2.0


@param  updateStringForDocViewerParam  cadena con el update que se debe hacer en la forma de la página
    de visualización de documentos

@param  docViewerWVNameParam  valor del atributo widgetVar del dialog de la página que muestra las
    fichas


OJO:
ANTES
como el cc para visualizar documentos se incluye aquí, y esta página hace parte de un cc,
el update de la forma de esta página va :dpCC:detallesPredioTV:vdCC:docViewerCCForm

AHORA:
No se usa cc sino página con parámetros porque hubo un problema usando varias veces el cc

@modified by leidy.gonzalez:: Se adiciona marca de agua al documentos generado de la
Carta Catastral Urbana.
-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:p="http://primefaces.org/ui"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:misc="http://java.sun.com/jsf/composite/misc"
             id="consultaFichasEscaneadasPredioPG" width="100%">

    <h:form id="consultaFichasEscaneadasPredioForm">

        <h:panelGrid columns="5">
            <h:outputLabel value="Número predial: " for="numPredialId"
                           styleClass="outputLabelStyle" />
            <h:outputText id="numPredialId"
                          value="#{consultaFichasEscaneadasPredio.currentPredio.formattedNumeroPredialCompleto}"
                          styleClass="outputTextStyle" />
            <p:spacer width="14" height="0" />
            <h:outputLabel value="NIP: " for="nipId"
                           styleClass="outputLabelStyle" />
            <h:outputText id="nipId"
                          value="#{consultaFichasEscaneadasPredio.currentPredio.nip}"
                          styleClass="outputTextStyle" />
        </h:panelGrid>

        <p:spacer height="10" width="0" />

        <h:panelGrid columns="2" cellspacing="7">
            <h:outputLabel value="Ficha predial: " styleClass="outputLabelStyle" />
            <h:outputText
                rendered="#{consultaFichasEscaneadasPredio.fichaPredialDigital eq null}"
                value="No hay ficha predial para este predio"
                styleClass="outputTextStyle" />
            <p:commandLink  value="Ver documento"
                            title="Ver el documento de las ficha predial escaneada del predio"
                            action="#{consultaFichasEscaneadasPredio.traerFichaPredialDigitalDeGestorDocumental}"
                            rendered="#{consultaFichasEscaneadasPredio.fichaPredialDigital ne null}"
                            onstart="statusDialog2.show();"
                            oncomplete="statusDialog2.hide(); #{docViewerWVNameParam}.show();"
                            update="#{updateStringForDocViewerParam}"
                            styleClass="commandLinkStyle">

                <f:setPropertyActionListener
                    target="#{previsualizacionDocumento.nombreArchivo}"
                    value="#{consultaFichasEscaneadasPredio.urlDocumento}" />
            </p:commandLink>

            <h:outputLabel value="Ficha predial escaneada: " styleClass="outputLabelStyle" />
            <h:outputText
                rendered="#{consultaFichasEscaneadasPredio.fichaPredialEscaneada eq null}"
                value="No hay ficha predial escaneada para este predio"
                styleClass="outputTextStyle" />
            <p:commandLink  value="Ver documento"
                            title="Ver el documento de la ficha predial escaneada"
                            action="#{consultaFichasEscaneadasPredio.traerFichaPredialEscaneadaDeGestorDocumental}"
                            rendered="#{consultaFichasEscaneadasPredio.fichaPredialEscaneada ne null}"
                            onstart="statusDialog2.show();"
                            oncomplete="statusDialog2.hide(); #{docViewerWVNameParam}.show();"
                            update="#{updateStringForDocViewerParam}"
                            styleClass="commandLinkStyle">

                <f:setPropertyActionListener
                    target="#{previsualizacionDocumento.nombreArchivo}"
                    value="#{consultaFichasEscaneadasPredio.urlDocumento}" />
            </p:commandLink>

            <h:outputLabel value="Plano anexo a ficha predial escaneada: " styleClass="outputLabelStyle" />
            <h:outputText
                rendered="#{consultaFichasEscaneadasPredio.planoAnexo eq null}"
                value="No hay plano anexo para este predio"
                styleClass="outputTextStyle" />
            <p:commandLink  value="Ver documento"
                            title="Ver el documento del plano anexo"
                            action="#{consultaFichasEscaneadasPredio.traerPlanoAnexoDeGestorDocumental}"
                            rendered="#{consultaFichasEscaneadasPredio.planoAnexo ne null}"
                            onstart="statusDialog2.show();" process="@this"
                            oncomplete="statusDialog2.hide(); #{docViewerWVNameParam}.show();"
                            update="#{updateStringForDocViewerParam}"
                            styleClass="commandLinkStyle">

                <f:setPropertyActionListener
                    target="#{previsualizacionDocumento.nombreArchivo}"
                    value="#{consultaFichasEscaneadasPredio.urlDocumento}" />
            </p:commandLink>

            <h:outputLabel value="Ficha matriz: " styleClass="outputLabelStyle" />
            <h:outputText
                rendered="#{empty consultaFichasEscaneadasPredio.urlDocumento}"
                value="No hay ficha matriz para este predio"
                styleClass="outputTextStyle" />
            <p:commandLink styleClass="commandLinkStyle" title="Ver el documento de las ficha predial escaneada del predio"
                           value="Ver documento"
                           rendered="#{not empty consultaFichasEscaneadasPredio.urlDocumento}"
                           onstart="statusDialog2.show();"
                           oncomplete="statusDialog2.hide(); #{docViewerWVNameParam}.show();"
                           update="#{updateStringForDocViewerParam}">
            </p:commandLink>

            <h:outputLabel value="Carta catastral: " styleClass="outputLabelStyle" />
            <h:outputText
                rendered="#{consultaFichasEscaneadasPredio.cartaCatastralUrbana eq null}"
                value="No hay carta catastral para este predio"
                styleClass="outputTextStyle" />
            <p:commandLink  value="Ver documento"
                            title="Ver el documento de la carta catastral del predio"
                            action="#{consultaFichasEscaneadasPredio.traerCartaCatastralUrbanaDeGestorDocumental}"
                            rendered="#{consultaFichasEscaneadasPredio.cartaCatastralUrbana ne null}"
                            onstart="statusDialog2.show();"
                            oncomplete="statusDialog2.hide(); #{docViewerWVNameParam}.show();"
                            update="#{updateStringForDocViewerParam}"
                            styleClass="commandLinkStyle">

                <f:setPropertyActionListener
                    target="#{previsualizacionDocumento.nombreArchivo}"
                    value="#{consultaFichasEscaneadasPredio.urlDocumento}" />
            </p:commandLink>

        </h:panelGrid>
    </h:form>

</h:panelGrid>



